PETSc version 3.15.5
Fix/Edit manual page

# TaoLineSearchInitializePackage

This function registers the line-search algorithms in TAO. When using shared or static libraries, this function is called from the first entry to TaoCreate(); when using dynamic, it is called from PetscDLLibraryRegister_tao()

### Synopsis

    PetscErrorCode TaoLineSearchInitializePackage(void)

### See Also

TaoLineSearchCreate()

### Level

developer

### Location

src/tao/linesearch/interface/dlregis_taolinesearch.c
Index of all TaoLineSearch routines
Table of Contents for all manual pages
Index of all manual pages